Approve a request
curl --request POST \
--url https://api.spacebring.com/visitors/requests/v1/{id}/approve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spacebring.com/visitors/requests/v1/{id}/approve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spacebring.com/visitors/requests/v1/{id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"visit": {
"code": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>",
"address": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userHost": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"checkInDate": "2023-11-07T05:31:56Z",
"checkOutDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
}{
"message": "<string>",
"type": "<string>"
}Visitors
Approve a request
Approve a request.
OAuth
Required scopes:visitorsPOST
/
visitors
/
requests
/
v1
/
{id}
/
approve
Approve a request
Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the request
Response
Created
Show child attributes
Show child attributes
Was this page helpful?
⌘I